kmflcomp(1)

NAME
kmflcomp - keyboard mapping for linux compiler

SYNOPSIS
kmflcomp -v
kmflcomp [-d] [-f] [-V] keyboardfile
kmflcomp -h

DESCRIPTION
KMFL is a keyboard input method project which brings Tavultesoft Keyman functionality to *nix operating systems.

kmflcomp is the keyboard compiler and syntax checker for the kmfl project. The files created by kmflcomp can be loaded by the kmfl libraries to provide input methods to clients.

Note that the kmfl libraries now have the capability to compile kmfl keyboards on the fly so kmflcomp is no longer strictly necessary. The most useful part of kmflcomp is its kmfl keyboard syntax checking.

OPTIONS

-d  Output debugging information

-f  Force compilation even if there are errors found in the keyboard file

-h  Print this help message

-V  Be more verbose in kmfcomp's information messages

-v  Print program version

SEE ALSO
The full documentation for kmflcomp can be found on the kmfl website (kmfl.sourceforge.net). This includes documentation for the kmfl language syntax, useful for creating new keyboards, or modifying existing keyboards.

AUTHORS
KMFL was developed jointly by SIL international(www.sil.org) and Tavultesoft(www.tavultesoft.com). The primary authors are John Durdin and Doug Rintoul.